<h3>{$lang['Edit Zone (cloudflare.com)']}</h3>

<form method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=module_puq_proxmox_kvm&action=dns_zones">

    <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
        <tbody>

        <tr>
            <td class="fieldlabel">{$lang['Zone']}</td>
            <td class="fieldarea">
                <input type="hidden" name="id" value="{$dns_zone['id']}">
                <input type="hidden" name="type" value="cloudflare">
                <input type="text" name="zone" value="{$dns_zone['zone']}" class="form-control input-inline input-400" required><br>
                 {$lang['Forward zone: example.com']}<br>
                 {$lang['Reverse zone IPv4: 100.51.198.in-addr.arpa (IPv4 prefix: 198.51.100.0/24)']}<br>
                 {$lang['Reverse zone IPv6: d.c.b.a.d.c.b.a.d.c.b.a.8.b.d.0.1.0.0.2.ip6.arpa (IPv6 prefix: 2001:0db8:abcd:abcd:abcd:abcd:abcd:0000/112)']}<br>
            </td>
        </tr>

        <tr>
            <td class="fieldlabel">{$lang['Cloudflare Zone ID']}</td>
            <td class="fieldarea">
                <input type="text" name="zone_id" value="{$dns_zone['zone_id']}" class="form-control input-inline input-400" required><br>
            </td>
        </tr>

        <tr>
            <td class="fieldlabel">{$lang['Cloudflare Account ID']}</td>
            <td class="fieldarea">
                <input type="text" name="account_id" value="{$dns_zone['account_id']}" class="form-control input-inline input-400" required><br>
            </td>
        </tr>

        <tr>
            <td class="fieldlabel">{$lang['Cloudflare API Token']}</td>
            <td class="fieldarea">
                <input type="text" name="api_token" value="{$dns_zone['api_token']}" class="form-control input-inline input-400" required><br>
            </td>
        </tr>



        </tbody>
    </table>
    <div class="btn-container">
        <button type="submit" name="submit" value="edit_dns_zone" class="btn btn-primary">{$lang['Edit Zone']}</button>
        <button type="submit" name="submit" value="test_dns_zone" class="btn btn-default">{$lang['Test Zone']}</button>
        <button type="submit" name="submit" value="delete_dns_zone" class="btn btn-danger" onclick="return confirm('{$lang['Are you sure you want to delete?']}')" >{$lang['Delete Zone']}</button>
    </div>
</form>

{if $test_dns_zone}
<pre>{$test_dns_zone|print_r}</pre>
{/if}
