<form method="post"
      action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=manual_cron_run&action=search">
    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <tr>
                <td class="fieldlabel">{$lang['Choose Cron Task']}</td>
                <td class="fieldarea">
                    <select name="cron_task" class="form-control select-inline">
                        <option value="any" {if $post['cron_task'] eq 'any'} selected {/if}>{$lang['Any']}</option>
                        {foreach $crons as $key => $value}
                            <option value="{$value['command']}" {if $get['cron'] eq {$value['command']} OR $post['cron_task'] eq {$value['command']}} selected {/if}>{$value['name']}</option>
                        {/foreach}
                    </select></td>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Choose Cron Date']}</td>
                <td class="fieldarea">
                    {if $get['date']}
                        <input type="date" name="date" class="form-control input-inline" value={$get['date']}>
                    {else}
                        <input type="date" name="date" class="form-control input-inline" value={$post['date']}>
                    {/if}
                </td>
            </tr>
            </tbody>
        </table>
        <div class="btn-container">
            <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Search...']}</button>
            <button type="submit" name="submit" value="delete" class="btn btn-danger"
                    onclick="return confirm('{$lang['Are you sure you want to clean Manual Cron Logs?']}')">{$lang['Clean Manual Cron Logs']}</button>
        </div>
    </div>
</form>
<br>
<table class="datatable" style="width: 100%;">
    <tr class="header">
        <th>{$lang['ID']}</th>
        <th>{$lang['Command Name']}</th>
        <th>{$lang['Log Text']}</th>
        <th>{$lang['Date']}</th>
    </tr>
    <tr>
        {foreach from=$cron_logs key=i item=value}
    <tr>
        <th style="padding: 4px; font-weight: 700; border-bottom: 1px solid #ddd; border-radius: 3px; text-align: center; color: #fff;">{$value['id']}</th>
        <td nowrap="none" style="text-align: center;">{$value['name']}</td>
        <td style="text-align: left;">
            <pre>{$value['log']}</pre>
        </td>
        <td style="text-align: center;">{$value['created_at']}</td>
    </tr>
    {/foreach}
</table>