    <form method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_suspend_termination&action=overwrite">
    <input type="text" name="groups_json_to_server" value="" hidden>
</form>
<button onclick="sendJSON()" type="submit" class="btn btn-success"><i class="fa fa-pencil">&nbsp;</i><b>{$lang['Save']}</b></button>
<br>
<br>
<form name="groups">
    <table class="datatable">
        <tr class="header">
            <th>ID</th>
            <th>{$lang['Groups name']}</th>
            <th>{$lang['Products count']}</th>
            <th>{$lang['Overwrite Suspension']}</th>
            <th>{$lang['Suspend Days']}</th>
            <th>{$lang['Overwrite Termination']}</th>
            <th>{$lang['Termination Days']}</th>
        <tr>
            {foreach from=$groups key=group item=group_info}
        <tr>
            <td>{$group_info['id']}</td>
            <td><b>{$group_info['group_name']}</b></td>
            <td style="text-align: center;"><b>{$group_info['product_count']}</b></td>
            <td style="text-align: center;"><input type="checkbox" name="{$group_info['id']}-overwrite_suspension" {if $group_info['overwrite_suspension']}checked=""{/if}></td>
            <td style="text-align: center;"><input class="form-control input-50 input-inline" type="number" min="0" max="{$data['max_suspend_days']}" step="1" value="{$group_info['overwrite_suspension_days']}" name="{$group_info['id']}-overwrite_suspension_days"></td>
            <td style="text-align: center;"><input type="checkbox" name="{$group_info['id']}-overwrite_termination" {if $group_info['overwrite_termination']}checked=""{/if}></td>
            <td style="text-align: center;"><input class="form-control input-50 input-inline" type="number" min="0" max="{$data['max_termination_days']}" step="1" value="{$group_info['overwrite_termination_days']}" name="{$group_info['id']}-overwrite_termination_days"></td>
        </tr>
        {/foreach}
    </table>
</form>
{literal}
<script type="text/javascript">
    function sendJSON() {
        var originalJson = {};
        var formData = new FormData(document.forms.groups);

        formData.forEach(function (value, key) {
            originalJson[key] = value;
        });

        const newJson = {};

        Object.keys(originalJson).forEach(key => {
            const parts = key.split('-');
            const id = parts[0];
            const property = parts[1];

            if (property === 'overwrite_suspension' || property === 'overwrite_termination') {
                if (originalJson[key] === 'on') {
                    if (!newJson[id]) {
                        newJson[id] = {};
                    }
                    newJson[id][property] = originalJson[key];
                    newJson[id][property + '_days'] = originalJson[id + '-' + property + '_days'];
                }
            }
        });

        const jsonString = JSON.stringify(newJson);
        //console.log(jsonString);
        const hiddenField = document.querySelector('input[name="groups_json_to_server"]');
        hiddenField.value = jsonString;
        hiddenField.form.submit();
    }
</script>
{/literal}